use super::super::prelude::*;

use serenity::prelude::*;
use serenity::{
    framework::standard::{macros::command, Args, CommandResult},
    model::channel::Message,
};

#[command]
fn stop(ctx: &mut Context, msg: &Message, _: Args) -> CommandResult {
    if !channel_contains_author(ctx, msg) {
        println!(
            "user {} is not in the same voice channel as the bot",
            msg.author.name
        );
        return Ok(());
    }

    let data = ctx.data.read();
    let mut media = match data.get_mut::<MediaData>() {
        Ok(media) => media,
        Err(_) => {
            msg.channel_id.say("could not find media data");
            return Ok(());
        }
    };

    print_error!(data.reset(ctx, msg));

    Ok(())
}
